Package de.willuhn.jameica.hbci.gui.controller

# Class UmsatzDetailControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.UmsatzDetailControl

Direct Known Subclasses:
  `UmsatzDetailEditControl`

public class UmsatzDetailControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Detailansicht eines Umsatzes.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`UmsatzDetailControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddressbookEntry()`
Prueft, ob sich das Gegenkonto im Adressbuch befindet.
`de.willuhn.jameica.gui.input.Input`
`getArt()`
Liefert ein Eingabe-Feld mit einem Text der Umsatz-Art.
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert ein Eingabe-Feld mit Betrag der Buchung,
`de.willuhn.jameica.gui.input.Input`
`getCreditorId()`
Liefert ein Eingabe-Feld für die Gläubiger-ID.
`de.willuhn.jameica.gui.input.Input`
`getCustomerRef()`
Liefert ein Eingabe-Feld mit der Kundenreferenz.
`de.willuhn.jameica.gui.input.Input`
`getDatum()`
Liefert ein Eingabe-Feld mit dem Datum der Buchung.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerBLZ()`
Liefert ein Eingabe-Feld mit der BLZ des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerKonto()`
Liefert ein Eingabe-Feld mit dem Konto des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerName()`
Liefert ein Eingabe-Feld mit dem Namen des Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEmpfaengerName2()`
Liefert ein Eingabe-Feld mit dem Namen des ultimativen Empfaengers.
`de.willuhn.jameica.gui.input.Input`
`getEndToEndId()`
Liefert ein Eingabe-Feld mit der EndToEnd-ID.
`de.willuhn.jameica.gui.input.Input`
`getGvCode()`
Liefert ein Eingabe-Feld fuer den GV-Code.
`de.willuhn.jameica.gui.input.Input`
`getKommentar()`
Liefert ein Eingabe-Feld fuer einen zusaetzlichen Kommentar
`de.willuhn.jameica.gui.input.Input`
`getKonto()`
Liefert ein Eingabe-Feld mit dem Konto des Umsatzes.
`de.willuhn.jameica.gui.input.Input`
`getMandateId()`
Liefert ein Eingabe-Feld mit der Mandatsreferenz.
`de.willuhn.jameica.gui.input.Input`
`getPrimanota()`
Liefert ein Eingabe-Feld mit dem Primanota-Kennzeichen.
`de.willuhn.jameica.gui.input.Input`
`getSaldo()`
Liefert ein Eingabe-Feld mit dem Saldo nach der Buchung.
`Umsatz`
`getUmsatz()`
Liefert das Umsatz-Objekt, das auf dem Detail-Dialog angezeigt wird.
`de.willuhn.jameica.gui.input.SelectInput`
`getUmsatzTyp()`
Liefert eine Auswahlbox fuer die Umsatz-Kategorie.
`protected String`
`getUsage(boolean showAll)`
Liefert den anzuzeigenden Verwendungszweck in Abhaengigkeit der aktuellen Einstellung.
`de.willuhn.jameica.gui.input.Input`
`getValuta()`
Liefert ein Eingabe-Feld mit dem Valuta der Buchung.
`de.willuhn.jameica.gui.input.Input`
`getZweck()`
Liefert ein Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getZweckSwitch()`
Liefert eine Checkbox, mit der man umschalten kann, ob man die vereinfachte Version des Verwendungszwecks angezeigt bekommt oder die ausfuehrliche.
`boolean`
`handleStore()`
Speichert die editierbaren Properties.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UmsatzDetailControl

public UmsatzDetailControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getUmsatz

public Umsatz getUmsatz()
Liefert das Umsatz-Objekt, das auf dem Detail-Dialog angezeigt wird.

Returns:
  das Umsatz-Objekt.

### getKommentar

public de.willuhn.jameica.gui.input.Input getKommentar() throws RemoteException
Liefert ein Eingabe-Feld fuer einen zusaetzlichen Kommentar

Returns:
  liefert ein Eingabefeld fuer einen zusaetzlichen Kommentar.
Throws:
  `RemoteException`

### getAddressbookEntry

public Address getAddressbookEntry() throws RemoteException
Prueft, ob sich das Gegenkonto im Adressbuch befindet.

Returns:
  die ggf. gefundene Adresse oder null.
Throws:
  `RemoteException`

### getKonto

public de.willuhn.jameica.gui.input.Input getKonto() throws RemoteException
Liefert ein Eingabe-Feld mit dem Konto des Umsatzes.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerName

public de.willuhn.jameica.gui.input.Input getEmpfaengerName() throws RemoteException
Liefert ein Eingabe-Feld mit dem Namen des Empfaengers.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerName2

public de.willuhn.jameica.gui.input.Input getEmpfaengerName2() throws RemoteException
Liefert ein Eingabe-Feld mit dem Namen des ultimativen Empfaengers.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getUmsatzTyp

public de.willuhn.jameica.gui.input.SelectInput getUmsatzTyp() throws RemoteException
Liefert eine Auswahlbox fuer die Umsatz-Kategorie.

Returns:
  Umsatz-Kategorie.
Throws:
  `RemoteException`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.Input getEmpfaengerKonto() throws RemoteException
Liefert ein Eingabe-Feld mit dem Konto des Empfaengers.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEmpfaengerBLZ

public de.willuhn.jameica.gui.input.Input getEmpfaengerBLZ() throws RemoteException
Liefert ein Eingabe-Feld mit der BLZ des Empfaengers.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Liefert ein Eingabe-Feld mit Betrag der Buchung,

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getDatum

public de.willuhn.jameica.gui.input.Input getDatum() throws RemoteException
Liefert ein Eingabe-Feld mit dem Datum der Buchung.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getValuta

public de.willuhn.jameica.gui.input.Input getValuta() throws RemoteException
Liefert ein Eingabe-Feld mit dem Valuta der Buchung.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getSaldo

public de.willuhn.jameica.gui.input.Input getSaldo() throws RemoteException
Liefert ein Eingabe-Feld mit dem Saldo nach der Buchung.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getPrimanota

public de.willuhn.jameica.gui.input.Input getPrimanota() throws RemoteException
Liefert ein Eingabe-Feld mit dem Primanota-Kennzeichen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getArt

public de.willuhn.jameica.gui.input.Input getArt() throws RemoteException
Liefert ein Eingabe-Feld mit einem Text der Umsatz-Art.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getCustomerRef

public de.willuhn.jameica.gui.input.Input getCustomerRef() throws RemoteException
Liefert ein Eingabe-Feld mit der Kundenreferenz.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getEndToEndId

public de.willuhn.jameica.gui.input.Input getEndToEndId() throws RemoteException
Liefert ein Eingabe-Feld mit der EndToEnd-ID.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getMandateId

public de.willuhn.jameica.gui.input.Input getMandateId() throws RemoteException
Liefert ein Eingabe-Feld mit der Mandatsreferenz.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getCreditorId

public de.willuhn.jameica.gui.input.Input getCreditorId() throws RemoteException
Liefert ein Eingabe-Feld für die Gläubiger-ID.

Returns:
  Eingabe-Feld
Throws:
  `RemoteException`

### getGvCode

public de.willuhn.jameica.gui.input.Input getGvCode() throws RemoteException
Liefert ein Eingabe-Feld fuer den GV-Code.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public de.willuhn.jameica.gui.input.Input getZweck()
Liefert ein Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.

### getZweckSwitch

public de.willuhn.jameica.gui.input.CheckboxInput getZweckSwitch() throws RemoteException
Liefert eine Checkbox, mit der man umschalten kann, ob man die vereinfachte Version des Verwendungszwecks angezeigt bekommt oder die ausfuehrliche.

Returns:
  Checkbox.
Throws:
  `RemoteException`

### getUsage

protected String getUsage(boolean showAll)
Liefert den anzuzeigenden Verwendungszweck in Abhaengigkeit der aktuellen Einstellung.

Parameters:
  `showAll` - true, wenn der rohe Verwendungszweck angezeigt werden soll.
Returns:
  der anzuzeigende Verwendungszweck.

### handleStore

public boolean handleStore()
Speichert die editierbaren Properties.

Returns:
  true, wenn das Speichern erfolgreich war.